Bug 151334 - kdeinit uses 100% cpu time after updates are installed with up2date or yum
kdeinit uses 100% cpu time after updates are installed with up2date or yum
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 20:22 EST by Jeroen Beerstra
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 17:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsof output for kdeinit pid (12.00 KB, text/plain)
2005-03-16 20:25 EST, Jeroen Beerstra
no flags Details

  None (edit)
Description Jeroen Beerstra 2005-03-16 20:22:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050223 Firefox/1.0.1

Description of problem:


Version-Release number of selected component (if applicable):
kdelibs-3.3.1-2.6.FC3 yum-2.2.0-0.fc3 up2date-4.3.47-5

How reproducible:
Always

Steps to Reproduce:
1. launch up2date (gui) or execute 'yum update'
2. install updates (there is no problem when there are no updates available)


Actual Results:  A kdeinit proces is started as user root and uses 100% cpu time untill it is manually terminated (a simple kill <pid> does the trick). Killing the kdeinit proces doesn't seem to affect anything. There are no errors.

Expected Results:  System should return to idle after the updates are installed. In fact I don't understand why a kdeinit proces is started as user root in the first place.

Additional info:

This problem has been there for a while. Don't recall any updates to yum or up2date but updates to kde are installed since.

System is vanilla fc3 + fedora extras with a few exceptions: xmms, xawtv, kleds and gnome-cpufreq-applet from rpms, kcpuspeed from source and gftp rebuild rpm. Don't think this has anything to do with this problem, just trying to provide as much info as possible.
Comment 1 Jeroen Beerstra 2005-03-16 20:25:20 EST
Created attachment 112065 [details]
lsof output for kdeinit pid

Don understand why lot's of files in /usr/share/applnk are open.
Comment 2 Terry Griffin 2005-03-18 22:41:05 EST
I'm seeing this also. I have two kdeinit process taking 98% of their respective
CPU's (two-processor SMP box). One is running a root, the other as my regular
user account. The 'ps' utility indicates that both of these kdeinit's are 
running the kded daemon. I'm not sure when it started so I can't directly
pin this on applying an update.

I did an strace on both processes. Both are in a tight loop making this set
of system calls:

gettimeofday({1111122908, 713705}, NULL) = 0
select(17, [3 4 5 7 9 10 13 16], [], [], {0, 682}) = 1 (in [9], left {0, 1000})
gettimeofday({1111122908, 714744}, NULL) = 0
gettimeofday({1111122908, 714926}, NULL) = 0
gettimeofday({1111122908, 715110}, NULL) = 0
gettimeofday({1111122908, 715364}, NULL) = 0
ioctl(4, FIONREAD, [0])     

I'm also seeing lots of open files by the regular-user instance of the
runaway kdeinit/kded process. The root runaway instance has just a few
files open under it's own /proc/[pid] directory.

Same version of kdelibs as the reporter.
Comment 3 Jeroen Beerstra 2005-03-19 07:44:48 EST
kdeinit is running kded here also. Strace looks like this: 
 
select(11, [3 4 5 7 9 10], [], [], {0, 897099}) = 1 (in [9], left {0, 898000}) 
ioctl(4, FIONREAD, [0])                 = 0 
select(11, [3 4 5 7 9 10], [], [], {0, 896826}) = 1 (in [9], left {0, 897000}) 
ioctl(4, FIONREAD, [0])                 = 0 
select(11, [3 4 5 7 9 10], [], [], {0, 896569}) = 1 (in [9], left {0, 897000}) 
ioctl(4, FIONREAD, [0])                 = 0 
select(11, [3 4 5 7 9 10], [], [], {0, 896312}) = 1 (in [9], left {0, 897000}) 
ioctl(4, FIONREAD, [0])                 = 0 
select(11, [3 4 5 7 9 10], [], [], {0, 896055}) = 1 (in [9], left {0, 897000}) 
ioctl(4, FIONREAD, [0])                 = 0 
select(11, [3 4 5 7 9 10], [], [], {0, 895780}) = 1 (in [9], left {0, 896000}) 
ioctl(4, FIONREAD, [0])                 = 0 
select(11, [3 4 5 7 9 10], [], [], {0, 895523}) = 1 (in [9], left {0, 896000}) 
ioctl(4, FIONREAD, [0]) 
 
An endless loop op select and ioctl calls, but the numbers for select keep 
changing. 
Comment 4 Terry Griffin 2005-03-21 22:51:08 EST
This comment is just a test (see bug #151461).
Comment 5 Matthew Miller 2006-07-10 17:00:30 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 Jeroen Beerstra 2007-06-09 17:07:22 EDT
Fixed in later releases

Note You need to log in before you can comment on or make changes to this bug.